Bug 83918 - Standardize wl_scaler protocol extension
Summary: Standardize wl_scaler protocol extension
Status: RESOLVED FIXED
Alias: None
Product: Wayland
Classification: Unclassified
Component: wayland (show other bugs)
Version: unspecified
Hardware: All All
: medium enhancement
Assignee: Wayland bug list
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-16 08:47 UTC by Pekka Paalanen
Modified: 2016-06-09 08:27 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pekka Paalanen 2014-09-16 08:47:37 UTC
The wl_scaler protocol extension has been laying in Weston for quite some time now. I think it is ready to be moved into Wayland.

The protocol XML file should be moved into the Wayland repository and installed along with wayland.xml, but not merged into wayland.xml.

libwayland should not build nor install code or headers generated for wl_scaler, except just as a build test. Every user project needs to generate the code and headers itself. This model seems to be the way forward when promoting extensions from Weston/elsewhere into Wayland repository. It was already considered for xdg-shell, and it should avoid exposing even more extension-specific symbols from libwayland-{client,server}.so.

Open questions:

1. Is wl_scaler good enough to be moved as is, so it maintains compatibility with projects that already use it with a private copy of the XML file?

2. Should wl_viewport.set request be removed as redundant? If yes, voids question 1.

3. Should we rename wl_scaler?
Comment 1 Pekka Paalanen 2014-09-16 09:10:17 UTC
Attempting to start discussion at
http://lists.freedesktop.org/archives/wayland-devel/2014-September/017293.html
Comment 2 Pekka Paalanen 2015-11-13 11:51:00 UTC
How about renaming wl_scaler to wp_viewporter?

Doing that as part of the stabilization when moving to wayland-protocols and following the new namespace guidelines.
Comment 3 Pekka Paalanen 2016-04-15 15:00:14 UTC
Patches sent:
https://patchwork.freedesktop.org/series/5785/
Comment 4 Pekka Paalanen 2016-06-09 08:27:26 UTC
I just pushed the final patch series to Weston, ending at:
https://cgit.freedesktop.org/wayland/weston/commit/?id=82d95a6dc555246b84c38b63eaefc15af59934b7

This will be out with the 1.12 release.

This actually does not have to do with Wayland (the repository) anymore, the stable protocol is in wayland-protocols, already part of the 1.4 release.

Case closed. Well, screenshot-based tests would be nice in weston, but that's another matter.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.